// interopsvcdoc.idl : IDL source for interopsvcdoc
//

// This file will be processed by the MIDL tool to
// produce the type library (interopsvcdoc.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";

[
	object,
	uuid(7D6E4488-9C78-4F0D-B09F-0404E7C689AD),
	dual,
	nonextensible,
	helpstring("Iinteropsvcdoc2 Interface"),
	pointer_default(unique)
]
interface Iinteropsvcdoc2 : IDispatch{
	[id(1), helpstring("method OnProcessBody")] HRESULT OnProcessBody([in] VARIANT SOAPMsgInterface, [out, retval] VARIANT_BOOL *pResult);
};
[
	uuid(939AB82B-6FE7-48CE-9078-B063974FC96D),
	version(1.0),
	helpstring("interopsvcdoc 1.0 Type Library")
]
library interopsvcdocLib
{
	importlib("stdole2.tlb");
	[
		uuid(32BDC008-0A25-47C8-BDC3-26849A30D0B9),
		helpstring("interopsvcdoc2 Class")
	]
	coclass interopsvcdoc2
	{
		[default] interface Iinteropsvcdoc2;
	};
};
